<p>Alright thanks guys for the suggestions, I re-did my pkgbuild. When I did an svn-checkout and was able to compile it just fine. I even used the same configure line as last time.</p><p>./unix/config/configure --prefix=/usr --without-quartz --with-x --enable-mpg-mmx<br>
</p><p>I also got my tarball from the link that Bert said in his email, I don&#39;t know why, but it just worked this time..</p><p>Waiting for it to re-compile now with my pkgbuild then I&#39;ll install it and try and run etoys again.</p>
<p>Sorry I haven&#39;t said anything for two days!</p><p>Pat</p><br><div class="gmail_quote">On Sun, Mar 15, 2009 at 8:30 PM, David T. Lewis <span dir="ltr">&lt;<a href="mailto:lewis@mail.msen.com">lewis@mail.msen.com</a>&gt;</span> wrote:<br>
<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex;"> <br>On Sun, Mar 15, 2009 at 02:57:25PM +0100, Bert Freudenberg wrote:<br>
&gt;<br>
&gt; On 15.03.2009, at 14:54, David T. Lewis wrote:<br>
&gt; &gt;<br>
&gt; &gt;Pat, can you clarify where you obtained the source code for version<br>
&gt; &gt;3.10-4? I am assuming that you are using sources that contain support<br>
&gt; &gt;for OLPC, but I&#39;m not sure if you are getting them directly from the<br>
&gt; &gt;Subversion repository or from some other site. I want to try to<br>
&gt; &gt;reproduce<br>
&gt; &gt;the problem on my PC if possible.<br>
&gt;<br>
&gt; I told Pat to use the official sources, so this should be the tarball<br>
&gt; from<br>
&gt;<br>
&gt;       <a href="http://squeakvm.org/unix/" target="_blank">http://squeakvm.org/unix/</a><br>
&gt;<br>
&gt; We have merged the olpc branch into the trunk, there are no special<br>
&gt; OLPC sources anymore.<br>
<br>
I downloaded the tarball and built from the platforms/unix/src source<br>
files. The attached log file (typescript.gz) shows what I did, and the<br>
resulting output from configure and make.<br>
<br>
There were no issues with the build (other than compiler warnings that<br>
I expect from many of the plugins), and the resulting VM is functional.<br>
That said, you don&#39;t want to try using sound sound (which crashes the VM)<br>
or FFI (which needs the fixes on Mantis 7237).<br>
<br>
Pat, can you please have a look at the attached typescript.gz file and<br>
see if there is something different about the way you are doing the<br>
build?<br>
<br>
Clearly the sound support is going to need some work. This is actually<br>
the first time I have loaded the sound libraries on my Linux laptop,<br>
so I had not previously looked into this. There was some earlier<br>
discussion about this on the list, although I don&#39;t recall if anything<br>
was resolved.<br>
<br>
Various other plugins that may be needed for EToys/OLPC are going to<br>
need some work for 64-bit systems. But for what it&#39;s worth, the base<br>
VM compiles and runs fine when built from the platforms/unix/src files<br>
in the tarball.<br>
<br>
Dave<br>
<br>
<br></blockquote></div><br>